E-MailRelay

Classes | Namespaces | Variables
gdnsmessage.cpp File Reference
`#include "gdef.h"`
`#include "gdnsmessage.h"`
`#include "gassert.h"`
`#include "gstr.h"`
`#include "gstringview.h"`
`#include <array>`
`#include <vector>`
`#include <iomanip>`
`#include <sstream>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes
struct | GNet::DnsMessageRecordTypeImp::Pair
| A std::pair-like structure used in GNet::DnsMessage, needed for gcc 4.2.1. More...

## Namespaces
namespace | GNet
| Network classes.
namespace | GNet::DnsMessageRecordTypeImp
| A private implementation namespace for GNet::DnsMessage.

## Variables
constexpr std::array< Pair, 23U > | GNet::DnsMessageRecordTypeImp::map